/***
* 		toolstart.c -- b&p tool startup code
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
  17 Jan 93 | added prototypical declarations for sas/c v6.0 happiness
   6 Nov 96 | new base declarations to avoid autoinit libraries (duh)
*/


#include "bars.h"

struct ToolMaster *inittoolmaster(void);

struct ExecBase *SysBase;
struct DOSBase *DOSBase;
struct IntuitionBase *IntuitionBase;
struct GfxBase *GfxBase;
struct LayersBase *LayersBase;
struct Functions *functions;


struct ToolMaster * __stdargs __saveds start(struct Functions *f)

{
    if (f->version < 5) return(0);	/* Make sure this is at least v2.0 */
    functions = f;
    SysBase = (struct ExecBase *)functions->SysBase;
    DOSBase = (struct DOSBase *)functions->DOSBase;
    IntuitionBase = (struct IntuitionBase *)functions->IntuitionBase;
    GfxBase = (struct GfxBase *)functions->GfxBase;
    LayersBase = (struct LayersBase *)functions->LayersBase;
    return(inittoolmaster());
}


