/***
* 	SnapshotGadget.h -- a tool snapshotgadget for b&p tool 
* 	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
  18 Sep 93 | created
*/

#ifndef SNAPSHOT_GADGET_H
#define SNAPSHOT_GADGET_H

#ifndef INTUITION_INTUITION_H
 #include <intuition/intuition.h>
#endif

#ifndef SNAPSHOT_GADGET_ID
 #define SNAPSHOT_GADGET_ID 668
#endif


static USHORT __chip SnapshotGadgetImageData1[] = {
	0xFFFF,0xF000,0xC000,0x3000,0xC000,0x3000,0xC000,0x3000,
	0xC000,0x3000,0xCF0F,0x3000,0xCE07,0x3000,0xCF0F,0x3000,
	0xC000,0x3000,0xFFFF,0xF000,0x0000,0x1000,0x3FFF,0xF000,
	0x3FFF,0xF000,0x33FF,0xF000,0x2000,0x7000,0x2F0F,0x7000,
	0x2E07,0x7000,0x2F0F,0x7000,0x2000,0x7000,0x7FFF,0xF000
};

static struct Image SnapshotGadgetImage1 = {
	0,0,
	20,10,
	3,
	SnapshotGadgetImageData1,
	0x0003,0x0000,
	NULL
};

static USHORT __chip SnapshotGadgetImageData2[] = {
	0xFFFF,0xF000,0xC1F8,0x3000,0xC3FC,0x3000,0xC1F8,0x3000,
	0xC000,0x3000,0xCF0F,0x3000,0xCE07,0x3000,0xCF0F,0x3000,
	0xC000,0x3000,0xFFFF,0xF000,0xFFFF,0xE000,0xFE07,0xC000,
	0xFC03,0xC000,0xFE07,0xC000,0xE000,0x4000,0xEF0F,0x4000,
	0xEEF7,0x4000,0xEF0F,0x4000,0xE000,0x4000,0x8000,0x0000
};

static struct Image SnapshotGadgetImage2 = {
	0,0,
	20,10,
	3,
	SnapshotGadgetImageData2,
	0x0003,0x0000,
	NULL
};

struct Gadget SnapshotGadget = {
	NULL,
	-63,2,
	20,10,
	GADGHIMAGE+GADGIMAGE+GRELRIGHT,
	RELVERIFY,
	BOOLGADGET,
	(APTR)&SnapshotGadgetImage1,
	(APTR)&SnapshotGadgetImage2,
	NULL,
	NULL,
	NULL,
	SNAPSHOT_GADGET_ID,
	NULL
};

#endif