/***
*		SysExMenu.h -- generic sysex menu items
*		 1996 Another Option   All rights reserved.
***/

/*
=============================================================================
|   DATE   | WHAT
=============================================================================
 19 Nov 96 | created (finally)
*/

#ifndef SYSEX_MENU_H
#define SYSEX_MENU_H

#include <exec/types.h>
#include <intuition/intuition.h>
#include "bplib.h"

#define SNAPSHOT_COMMSEQ  'S'
#define FREESYSEX_COMMSEQ 'F'
#define USESYSEX_COMMSEQ  'U'

#define USESYSEX_ITEMNUM   0
#define FREESYSEX_ITEMNUM  1
#define SNAPSHOT_ITEMNUM   2

static struct IntuiText SXM_Snapshot_IText = {
	MENU_APEN,MENU_BPEN,MENU_DRAWMODE,
	19,0,
	NULL,
	"Snapshot",
	NULL
};

static struct MenuItem SXM_SnapshotItem = {
	NULL,
	0,16,
	139,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&SXM_Snapshot_IText,
	NULL,
	SNAPSHOT_COMMSEQ,
	NULL,
	MENUNULL
};

static struct IntuiText SXM_FreeSysex_IText = {
	MENU_APEN,MENU_BPEN,MENU_DRAWMODE,
	19,0,
	NULL,
	"Free SysEx",
	NULL
};

static struct MenuItem SXM_FreeSysexItem = {
	&SXM_SnapshotItem,
	0,8,
	139,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&SXM_FreeSysex_IText,
	NULL,
	FREESYSEX_COMMSEQ,
	NULL,
	MENUNULL
};

static struct IntuiText SXM_UseSysex_IText = {
	MENU_APEN,MENU_BPEN,MENU_DRAWMODE,
	19,0,
	NULL,
	"Use SysEx",
	NULL
};

static struct MenuItem SXM_UseSysexItem = {
	&SXM_FreeSysexItem,
	0,0,
	139,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&SXM_UseSysex_IText,
	NULL,
	USESYSEX_COMMSEQ,
	NULL,
	MENUNULL
};

#define SXM_ITEMLIST SXM_UseSysexItem
#endif
